shipmate:version:
  stage: version
  image: registry.gitlab.com/peter.saarland/shipmate:latest
  variables:
    SHIPMATE_PROVIDERS: generic
  script:
    - env
    - cd /shipmate
    - make ship
  rules:
    - if: '$CI_COMMIT_REF_NAME == "master"'
      when: on_success
  artifacts:
    paths:
    - VERSION.txt

get version:
  stage: version
  image: registry.gitlab.com/peter.saarland/shipmate:latest
  variables:
    SHIPMATE_PROVIDERS: generic
  script:
    - env
    - echo build-$CI_PIPELINE_ID > /cargo/VERSION.txt
  rules:
    - if: '$CI_COMMIT_REF_NAME != "master"'
      when: on_success
  artifacts:
    paths:
    - VERSION.txt